Source: gdal
Version: 1.10.1+dfsg
Severity: normal
Tags: patch
User: debian-powe...@lists.debian.org
Usertags: ppc64el

Dear Maintainer,

Gdal doesn't build on ppc64el at the moment, because the autotools files are
outdate, causing it to fail because ppc64el is not know by the config files.

This patch calls autotools-dev scripts to update the autotools files during
build, and this fixes the FTBFS in ppc64el (and possible other architectures).

Thank you,
Breno
Index: gdal-1.10.1+dfsg/debian/control
===================================================================
--- gdal-1.10.1+dfsg.orig/debian/control
+++ gdal-1.10.1+dfsg/debian/control
@@ -6,6 +6,7 @@ Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
+               autotools-dev,
                zlib1g-dev,
                libnetcdf-dev (>= 1:4.0.0),
                netcdf-bin,
Index: gdal-1.10.1+dfsg/debian/rules
===================================================================
--- gdal-1.10.1+dfsg.orig/debian/rules
+++ gdal-1.10.1+dfsg/debian/rules
@@ -51,7 +51,7 @@ gdal-mrsid-dist:
 
 %:
 	if [ "$@" != "gdal-grass" -a "$@" != "gdal-ecw" -a "$@" != "gdal-mrsid" ]; then \
-		dh $@ --with autoreconf,python2,python3 ; \
+		dh $@ --with autotools_dev,autoreconf,python2,python3 ; \
 	fi
 
 override_dh_clean:
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to